<?php

/**
 * Define the internationalization functionality
 *
 * Loads and defines the internationalization files for this plugin
 * so that it is ready for translation.
 *
 * @link       https://extensions.kwproductions121.com
 * @since      1.0.0
 *
 * @package    Kwpuflogout_for_wpuserfront
 * @subpackage Kwpuflogout_for_wpuserfront/includes
 */

/**
 * Define the internationalization functionality.
 *
 * Loads and defines the internationalization files for this plugin
 * so that it is ready for translation.
 *
 * @since      1.0.0
 * @package    Kwpuflogout_for_wpuserfront
 * @subpackage Kwpuflogout_for_wpuserfront/includes
 * @author     Kian William Nowrouzian<webarchitect@kwproductions121.ir>
 */
class Kwpuflogout_for_wpuserfront_i18n {


	/**
	 * Load the plugin text domain for translation.
	 *
	 * @since    1.0.0
	 */
	public function load_plugin_textdomain() {

		load_plugin_textdomain(
			'kwpuflogout_for_wpuserfront',
			false,
			dirname( dirname( plugin_basename( __FILE__ ) ) ) . '/languages/'
		);

	}



}
