<?php

/**
 * The plugin bootstrap file
 *
 * This file is read by WordPress to generate the plugin information in the plugin
 * admin area. This file also includes all of the dependencies used by the plugin,
 * registers the activation and deactivation functions, and defines a function
 * that starts the plugin.
 *
 * @link              https://extensions.kwproductions121.ir
 * @since             1.0.0
 * @package           Kwpuflogout for kwpuserfront
 *
 * @wordpress-plugin
 * Plugin Name:       Kwpuflogout for wpuserfront
 * Plugin URI:        https://extensions/kwproductions121.ir/kwpuflogout
 * Description:       In wpuserfront login page you can be redirected to any page you like on logout event.
 * Version:           1.0.0
 * Author:            KWProductions Co.
 * Author URI:        https://kwproductions121.ir
 * License:           GPL-2.0+
 * License URI:       http://www.gnu.org/licenses/gpl-2.0.txt
 * Text Domain:       kwpuflogout-for-wpuserfront
 * Domain Path:       /languages
 */

// If this file is called directly, abort.
if ( ! defined( 'WPINC' ) ) {
	die;
}

/**
 * Currently plugin version.
 * Start at version 1.0.0 and use SemVer - https://semver.org
 * Rename this for your plugin and update it as you release new versions.
 */
define( 'KWPUFLOGOUT_FOR_WPUSERFRONT_VERSION', '1.0.0' );



/**
 * The code that runs during plugin activation.
 * This action is documented in includes/class-plugin-name-activator.php
 */
function activate_kwpuflogout_for_wpuserfront() {
	require_once plugin_dir_path( __FILE__ ) . 'includes/class-kwpuflogout-for-wpuserfront-activator.php';
	Kwpuflogout_for_wpuserfront_Activator::activate();
}

/**
 * The code that runs during plugin deactivation.
 * This action is documented in includes/class-plugin-name-deactivator.php
 */
function deactivate_kwpuflogout_for_wpuserfront() {
	require_once plugin_dir_path( __FILE__ ) . 'includes/class-kwpuflogout-for-wpuserfront-deactivator.php';
	Kwpuflogout_for_wpuserfront_Deactivator::deactivate();
}

register_activation_hook( __FILE__, 'activate_kwpuflogout_for_wpuserfront' );
register_deactivation_hook( __FILE__, 'deactivate_kwpuflogout_for_wpuserfront' );

/**
 * The core plugin class that is used to define internationalization,
 * admin-specific hooks, and public-facing site hooks.
 */
require plugin_dir_path( __FILE__ ) . 'includes/class-kwpuflogout-for-wpuserfront.php';

/**
 * Begins execution of the plugin.
 *
 * Since everything within the plugin is registered via hooks,
 * then kicking off the plugin from this point in the file does
 * not affect the page life cycle.
 *
 * @since    1.0.0
 */
function run_kwpuflogout_for_wpuserfront() {

	$plugin = new Kwpuflogout_for_wpuserfront();
	$plugin->run();

}
run_kwpuflogout_for_wpuserfront();
